package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TicketBean extends BaseMesPageBean {

    private List<ListBean> list;


    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }


    public static class ListBean {
        /**
         * id : 46
         * createDateTime : 2020-04-15 16:33:15
         * updateDateTime : 2020-04-21 13:23:56
         * jobNo : SCTN20041512
         * customerUserCode : KN00122
         * customerUserName : 山东莱德机械有限公司
         * salesCompanyCode : GK29
         * salesCompanyName : 销售四公司
         * salesManagerCode : EM1202001
         * salesManagerName : 史延亮
         * jobTypeId : 03
         * jobTypeName : 质量异议处理
         * jobDescription : cs
         * jobUserId : 398c852b38e911ea8334fa163e1166bd
         * jobUserName : hello
         * peopleCount : null
         * planBeginDate : 2020-04-16 00:00:00
         * planEndDate : 2020-04-23 00:00:00
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : hello
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : null
         * approvalUserId : null
         * approvalUserName : null
         * approvalDateTime : null
         * acceptUserId : 398c852b38e911ea8334fa163e1166bd
         * acceptUserName : hello
         * acceptDateTime : 2020-04-21 13:23:56
         * jobStatus : 2
         * remark : null
         * delete : false
         */

        private String id;
        private String createDateTime;
        private String updateDateTime;
        private String jobNo;
        private String customerUserCode;
        private String customerUserName;
        private String salesCompanyCode;
        private String salesCompanyName;
        private String salesManagerCode;
        private String salesManagerName;
        private String jobTypeId;
        private String jobTypeName;
        private String jobDescription;
        private String jobUserId;
        private String jobUserName;
        private String peopleCount;
        private String planBeginDate;
        private String planEndDate;
        private String createUserId;
        private String createUserName;
        private String updateUserId;
        private Object updateUserName;
        private Object approvalUserId;
        private Object approvalUserName;
        private Object approvalDateTime;
        private String acceptUserId;
        private String acceptUserName;
        private String acceptDateTime;
        private int jobStatus;
        private Object remark;
        private boolean delete;
        private String closingInstructions;

        public String getClosingInstructions() {
            return closingInstructions;
        }

        public void setClosingInstructions(String closingInstructions) {
            this.closingInstructions = closingInstructions;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(String createDateTime) {
            this.createDateTime = createDateTime;
        }

        public String getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(String updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getJobNo() {
            return jobNo;
        }

        public void setJobNo(String jobNo) {
            this.jobNo = jobNo;
        }

        public String getCustomerUserCode() {
            return customerUserCode;
        }

        public void setCustomerUserCode(String customerUserCode) {
            this.customerUserCode = customerUserCode;
        }

        public String getCustomerUserName() {
            return customerUserName;
        }

        public void setCustomerUserName(String customerUserName) {
            this.customerUserName = customerUserName;
        }

        public String getSalesCompanyCode() {
            return salesCompanyCode;
        }

        public void setSalesCompanyCode(String salesCompanyCode) {
            this.salesCompanyCode = salesCompanyCode;
        }

        public String getSalesCompanyName() {
            return salesCompanyName;
        }

        public void setSalesCompanyName(String salesCompanyName) {
            this.salesCompanyName = salesCompanyName;
        }

        public String getSalesManagerCode() {
            return salesManagerCode;
        }

        public void setSalesManagerCode(String salesManagerCode) {
            this.salesManagerCode = salesManagerCode;
        }

        public String getSalesManagerName() {
            return salesManagerName;
        }

        public void setSalesManagerName(String salesManagerName) {
            this.salesManagerName = salesManagerName;
        }

        public String getJobTypeId() {
            return jobTypeId;
        }

        public void setJobTypeId(String jobTypeId) {
            this.jobTypeId = jobTypeId;
        }

        public String getJobTypeName() {
            return jobTypeName;
        }

        public void setJobTypeName(String jobTypeName) {
            this.jobTypeName = jobTypeName;
        }

        public String getJobDescription() {
            return jobDescription;
        }

        public void setJobDescription(String jobDescription) {
            this.jobDescription = jobDescription;
        }

        public String getJobUserId() {
            return jobUserId;
        }

        public void setJobUserId(String jobUserId) {
            this.jobUserId = jobUserId;
        }

        public String getJobUserName() {
            return jobUserName;
        }

        public void setJobUserName(String jobUserName) {
            this.jobUserName = jobUserName;
        }

        public String getPeopleCount() {
            return peopleCount;
        }

        public void setPeopleCount(String peopleCount) {
            this.peopleCount = peopleCount;
        }

        public String getPlanBeginDate() {
            return planBeginDate;
        }

        public void setPlanBeginDate(String planBeginDate) {
            this.planBeginDate = planBeginDate;
        }

        public String getPlanEndDate() {
            return planEndDate;
        }

        public void setPlanEndDate(String planEndDate) {
            this.planEndDate = planEndDate;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public Object getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(Object updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getApprovalUserId() {
            return approvalUserId;
        }

        public void setApprovalUserId(Object approvalUserId) {
            this.approvalUserId = approvalUserId;
        }

        public Object getApprovalUserName() {
            return approvalUserName;
        }

        public void setApprovalUserName(Object approvalUserName) {
            this.approvalUserName = approvalUserName;
        }

        public Object getApprovalDateTime() {
            return approvalDateTime;
        }

        public void setApprovalDateTime(Object approvalDateTime) {
            this.approvalDateTime = approvalDateTime;
        }

        public String getAcceptUserId() {
            return acceptUserId;
        }

        public void setAcceptUserId(String acceptUserId) {
            this.acceptUserId = acceptUserId;
        }

        public String getAcceptUserName() {
            return acceptUserName;
        }

        public void setAcceptUserName(String acceptUserName) {
            this.acceptUserName = acceptUserName;
        }

        public String getAcceptDateTime() {
            return acceptDateTime;
        }

        public void setAcceptDateTime(String acceptDateTime) {
            this.acceptDateTime = acceptDateTime;
        }

        public int getJobStatus() {
            return jobStatus;
        }

        public void setJobStatus(int jobStatus) {
            this.jobStatus = jobStatus;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }
    }
}
